// Read already defined users (pseudo-DB)
const users = require('./auth/users.json');
const chats = require('./chat/chats.json');

const getUserFromDB = (userID) => {
    if (!userID) {return false;}

    // Accessing 'DB'
    const user = users.find((user) => user.id === userID);

    if (user) {
        return user;
    } else {
        return false;
    }
}

const getChatFromDB = (firstID, secondID) => {
    if (!firstID || !secondID) {return false;}

    // Accessing 'DB'
    const chat = chats.find((item) =>
        (item.id1 === firstID && item.id2 === secondID) || (item.id1 === secondID && item.id2 === firstID));

    if (chat) {
        return chat;
    } else {
        return false;
    }
}

module.exports = {users, chats, getUserFromDB, getChatFromDB}
